Skip to content

project/addjob

Links an existing job to a project.

Method and path

POST /project/addjob

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1 and 2 users.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.
Content-Typeyesapplication/json.

Request body

FieldTypeRequiredDescription
project_idintegeryesProject identifier.
job_idintegeryesJob identifier.

Example request

bash
curl -X POST "$SIGNAL_API_BASE_URL/project/addjob" \
  -H "X-Api-Key: $SIGNAL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"project_id": 123, "job_id": 456}'
json
{
  "project_id": 123,
  "job_id": 456
}

Example response

json
{
  "id": 456,
  "label": "Example Job",
  "type": "tw",
  "freq": 3600,
  "notes": "Example job notes",
  "lastrun": null,
  "active": true,
  "limited": false,
  "searchLang": "en",
  "search": "(example OR keyword)",
  "options": null,
  "toRestart": false,
  "efficiency": null,
  "projects": [123]
}

Response fields

FieldTypeDescription
idintegerJob identifier.
labelstringnull
typestringnull
freqintegernull
notesstringnull
lastrunintegernull
activebooleannull
limitedbooleanLimited flag.
searchLangstringnull
searchstringnull
optionsobjectnull
toRestartbooleannull
efficiencynumbernull
projectsarray<integer>Project IDs currently linked to the job.

Notes

  • Some validation failures are returned as HTTP 200 with an error object.

Doc rev.1.12.3 2026.05.08